# RayShoot

### Methods

#### (static) ray_shoot(polygon, point) → {Flatten.Inside|Flatten.OUTSIDE|Flatten.Boundary}

Implements ray shooting algorithm. Returns relation between point and polygon: inside, outside or boundary

Source:
  - algorithms/ray_shooting.js, line 14

##### Parameters:

Name | Type | Description
--- | --- | ---
`polygon` | `Polgon` | polygon to test
`point` | `Point` | point to test

##### Returns:

Type:
  `Flatten.Inside` | `Flatten.OUTSIDE` | `Flatten.Boundary`